org.appng.api.config

## Class RestConfig.SiteAwareHandlerMethodArgumentResolver

- java.lang.Object
- - org.appng.api.config.RestConfig.SiteAwareHandlerMethodArgumentResolver

- All Implemented Interfaces:
    org.springframework.web.method.support.HandlerMethodArgumentResolver
  Enclosing class:
    RestConfig

      public static class RestConfig.SiteAwareHandlerMethodArgumentResolver
      extends Object
      implements org.springframework.web.method.support.HandlerMethodArgumentResolver

  A `HandlerMethodArgumentResolver` that can resolve the current `Application`, `Environment` and `Site`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteAwareHandlerMethodArgumentResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `isSite(org.springframework.core.MethodParameter parameter)`
    `Object` | `resolveArgument(org.springframework.core.MethodParameter parameter, org.springframework.web.method.support.ModelAndViewContainer mavContainer, org.springframework.web.context.request.NativeWebRequest webRequest, org.springframework.web.bind.support.WebDataBinderFactory binderFactory)`
    `boolean` | `supportsParameter(org.springframework.core.MethodParameter parameter)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteAwareHandlerMethodArgumentResolver

          public SiteAwareHandlerMethodArgumentResolver()

  - ### Method Detail

    - #### supportsParameter

          public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

      Specified by:
        `supportsParameter` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`

    - #### resolveArgument

          public Object resolveArgument(org.springframework.core.MethodParameter parameter,
                                        org.springframework.web.method.support.ModelAndViewContainer mavContainer,
                                        org.springframework.web.context.request.NativeWebRequest webRequest,
                                        org.springframework.web.bind.support.WebDataBinderFactory binderFactory)
                                 throws Exception

      Specified by:
        `resolveArgument` in interface `org.springframework.web.method.support.HandlerMethodArgumentResolver`
      Throws:
        `Exception`

    - #### isSite

          protected boolean isSite(org.springframework.core.MethodParameter parameter)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.